Bug 839558 - [abrt] gedit-3.4.2-1.fc17: gtk_tree_model_get_valist: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.4.2-1.fc17: gtk_tree_model_get_valist: Process /usr/bin/gedit ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:b3b27b68242595add03fa0e7726...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 05:43 EDT by Sebastian Bergmann
Modified: 2013-08-01 06:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:18:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: maps (50.93 KB, text/plain)
2012-07-12 05:44 EDT, Sebastian Bergmann
no flags Details
File: dso_list (11.26 KB, text/plain)
2012-07-12 05:44 EDT, Sebastian Bergmann
no flags Details
File: backtrace (42.20 KB, text/plain)
2012-07-12 05:44 EDT, Sebastian Bergmann
no flags Details

  None (edit)
Description Sebastian Bergmann 2012-07-12 05:43:57 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gedit
crash_function: gtk_tree_model_get_valist
executable:     /usr/bin/gedit
kernel:         3.4.4-5.fc17.x86_64
pid:            2385
pwd:            /home/sb
time:           Thu 12 Jul 2012 11:36:04 AM CEST
uid:            1000
username:       sb

backtrace:      Text file, 43217 bytes
dso_list:       Text file, 11532 bytes
maps:           Text file, 52157 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/sb/2

core_backtrace:
:710b0d8cc36603d66327090defd37c99daa38f28 0x266348 gtk_tree_model_get_valist libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x26665c gtk_tree_model_get libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x11d3b5 gtk_entry_completion_compute_prefix libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x11d52c gtk_entry_completion_insert_prefix libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x10bd40 - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x29079 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x29041 - libgobject-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:7aa01bce2603464d5b0d94a1ccf9aebc89e79bfc 0x27bdd main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=dumb
:SHELL=/bin/zsh
:GNOME_KEYRING_CONTROL=/run/user/sb/keyring-uPqCbd
:IMSETTINGS_MODULE=none
:USER=sb
:USERNAME=sb
:DESKTOP_SESSION=gnome
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/home/sb/bin:/usr/local/sbin:/usr/sbin
:QT_IM_MODULE=xim
:PWD=/home/sb
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1006
:GDMSESSION=gnome
:SHLVL=0
:HOME=/home/sb
:XDG_SEAT=seat0
:LOGNAME=sb
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-DWcStJYnKb,guid=0bab37e46adf83b2d093f30f00000041
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/sb
:XAUTHORITY=/var/run/gdm/auth-for-sb-e0FTOU/database
:OLDPWD=/home/sb
:HISTCONTROL=ignoredups
:MAIL=/var/spool/mail/sb
:HOSTNAME=thinkpad
:HISTSIZE=1000
:CCACHE_HASHDIR=
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:QT_GRAPHICSSYSTEM_CHECKED=1
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1010,unix/unix:/tmp/.ICE-unix/1010
:DESKTOP_AUTOSTART_ID=10e18a585eee995f78134207974264595300000010100001
:SSH_AUTH_SOCK=/run/user/sb/keyring-uPqCbd/ssh
:GPG_AGENT_INFO=/run/user/sb/keyring-uPqCbd/gpg:0:1

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62094                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62094                62094                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/sb/.xsession-errors
:pos:	9968
:flags:	0102002
:2:/home/sb/.xsession-errors
:pos:	9968
:flags:	0102002
:3:socket:[42732]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[42733]
:pos:	0
:flags:	02004002
:6:socket:[42734]
:pos:	0
:flags:	02000002
:7:socket:[40562]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:inotify
:pos:	0
:flags:	02004000
:12:/tmp/ffioUoIt6 (deleted)
:pos:	0
:flags:	0100002
:13:socket:[39721]
:pos:	0
:flags:	02004002
:14:/home/sb/.local/share/gvfs-metadata/root
:pos:	0
:flags:	0100000
:15:/home/sb/.local/share/gvfs-metadata/root-72512f68.log
:pos:	0
:flags:	0100000

var_log_messages:
:Jul 12 11:36:04 thinkpad kernel: [ 2300.409415] gedit[2385]: segfault at 30 ip 0000003999666348 sp 00007fff5ca8f690 error 4 in libgtk-3.so.0.400.3[3999400000+472000]
:Jul 12 11:36:05 thinkpad abrt[2473]: Saved core dump of pid 2385 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-07-12-11:36:04-2385 (98037760 bytes)
Comment 1 Sebastian Bergmann 2012-07-12 05:44:00 EDT
Created attachment 597751 [details]
File: maps
Comment 2 Sebastian Bergmann 2012-07-12 05:44:03 EDT
Created attachment 597752 [details]
File: dso_list
Comment 3 Sebastian Bergmann 2012-07-12 05:44:05 EDT
Created attachment 597753 [details]
File: backtrace
Comment 4 Ferry Huberts 2012-10-31 04:42:29 EDT
remove a (different) directory in the same directory as the document I was editing

backtrace_rating: 4
Package: gedit-3.4.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Fedora End Of Life 2013-07-03 23:09:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 06:18:49 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.